%define	desktop_vendor planetccrma

Summary: Horizontal or vertical bargraph level meter
Name: jkmeter
Version: 0.6.1
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.kokkinizita.net/linuxaudio/
Source0: http://www.kokkinizita.net/linuxaudio/downloads/jkmeter-%{version}.tar.bz2
Source1: jkmeter.desktop
Patch0: jkmeter-0.4.0-lpthread.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils
BuildRequires: clthreads-devel clxclient-devel clalsadrv-devel
BuildRequires: jack-audio-connection-kit-devel alsa-lib-devel
BuildRequires: libpng-devel libX11-devel libXft-devel
BuildRequires: libsndfile-devel

%description
Jkmeter is a horizontal or vertical bargraph level
meter based on the ideas of mastering guru Bob Katz.
See <http://www.digido.com/bob-katz/index.php> and
follow the links on 'level practices'.

This is the type of meter you want for live recording,
mixing and mastering. It probably makes no sense to
use it on all tracks of a DAW, where keeping digital
level within limits is the main purpose of metering.

%prep
%setup -q
##%patch0 -p1

%build
cd source
%{__make} PREFIX=%{_prefix} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
cd source
%{__make} DESTDIR=%{buildroot} PREFIX=%{_prefix} install

BASE="Application AudioVideo Audio"
XTRA="X-Jack X-Audio_Tools"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README
%{_bindir}/jkmeter
%{_datadir}/jkmeter
%{_datadir}/applications/%{desktop_vendor}-jkmeter.desktop

%changelog
* Tue Nov 15 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-1
- updated to 0.6.1

* Tue Jan 18 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- add libnsdfile-devel build dependency

* Wed May 19 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- add patch to link with -lpthread for fc13/gcc4.4.4

* Wed Oct 29 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- initial build
